"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Created by rburson on 1/14/16.
 */
var React = require("react");
var catreact_1 = require("catreact");
var CvImage_1 = require("./CvImage");
/*
 ***************************************************
 * Render a Property
 ***************************************************
 */
exports.CvHtmlProp = React.createClass({
    mixins: [catreact_1.CvBaseMixin],
    getDefaultProps: function () {
        return {
            propName: null,
            defaultValue: null,
            handler: null,
            isVisible: null,
            entityRec: null,
            paneContext: null,
            wrapperElemName: 'span',
            wrapperElemProps: null,
            overrideValue: null,
            boolTrueClassName: 'cv-icon cv-bool-true',
            boolFalseClassName: 'cv-icon cv-bool-false',
            imageActions: null,
            imageClassName: null,
            imageStyle: null,
            imageReadOnly: null,
            style: null,
            className: null,
            renderer: null,
            dataPropNames: []
        };
    },
    render: function () {
        var _this = this;
        /* We can't do ES7 style rest destructuring in Typescript yet... */
        var passthroughProps = {
            propName: this.props.propName,
            defaultValue: this.props.defaultValue,
            handler: this.props.handler,
            isVisible: this.props.isVisible,
            entityRec: this.props.entityRec,
            paneContext: this.props.paneContext,
            wrapperElemName: this.props.wrapperElemName,
            wrapperElemProps: this.props.wrapperElemProps,
            overrideValue: this.props.overrideValue,
            style: this.props.style,
            className: this.props.className,
            dataPropNames: this.props.dataPropNames,
            renderer: this.props.renderer
        };
        return React.createElement(catreact_1.CvProp, __assign({}, passthroughProps, { booleanRenderer: function (boolVal) {
                return boolVal ? React.createElement("span", { className: _this.props.boolTrueClassName }) : React.createElement("span", { className: _this.props.boolFalseClassName });
            }, binaryRenderer: function (binaryUrl) {
                var style = _this.props.imageStyle ? _this.props.imageStyle : _this.props.style;
                return React.createElement(CvImage_1.CvImage, { style: style, src: binaryUrl, className: _this.props.className, imageClassName: _this.props.imageClassName, actions: _this.props.imageActions, readOnly: _this.props.imageReadOnly, hasFocus: _this.props.hasFocus });
            } }));
    }
});
