/// <reference types="react" />
/**
 * Created by rburson on 5/10/16.
 */
import * as React from 'react';
import { CvState, CvProps } from 'catreact';
import { EntityRec, PaneContext } from 'catavolt-sdk';
export interface CvDataAnnoState extends CvState {
}
export interface CvDataAnnoProps extends CvProps {
    propName?: string;
    entityRec?: EntityRec;
    dataAnnoStyle?: CvDataAnnoStyle;
    paneContext?: PaneContext;
    wrapperElem?: any;
    wrapperElemProps?: any;
}
export interface CvDataAnnoStyle {
    cssStyle?: {};
    imageName?: string;
    imagePlacementRight?: boolean;
    imagePlacementLeft?: boolean;
    imagePlacementCenter?: boolean;
    imagePlacementUnder?: boolean;
    imagePlacementStretchUnder?: boolean;
    overrideText?: string;
    tipText?: string;
}
export declare var CvDataAnno: React.ClassicComponentClass<CvDataAnnoProps>;
export interface CvDataAnnoImageState extends CvState {
}
export interface CvDataAnnoImageProps extends CvProps {
    dataAnnoStyle: CvDataAnnoStyle;
    contentArray?: Array<any>;
}
export declare var CvDataAnnoImage: React.ClassicComponentClass<CvDataAnnoImageProps>;
