/// <reference types="react" />
/**
 * Created by rburson on 3/17/16.
 */
import * as React from 'react';
import { CvState, CvProps } from 'catreact';
import { AppWinDef, Workbench } from 'catavolt-sdk';
export declare var CvGraphicalWorkbenchMenuBase: {
    appWinDef: () => AppWinDef;
    componentWillMount: () => void;
    getDefaultProps: () => {
        appWinDef: any;
        workbenchSelectionListener: any;
        initialSelectedWorkbenchId: any;
    };
    getInitialState: () => {
        selectedWorkbenchId: any;
    };
    _workbenchSelected: (workbench: Workbench) => void;
};
export interface CvGraphicalWorkbenchMenuState extends CvState {
    selectedWorkbenchId: string;
}
export interface CvGraphicalWorkbenchMenuProps extends CvProps {
    /**
     * The sdk {AppWinDef} from which to retrieve the workbenches
     */
    appWinDef?: AppWinDef;
    /**
     * A workbench selection listener that this component will notify of workbench selection changes
     */
    workbenchSelectionListener: (workbench: Workbench) => void;
    /**
     * The initially selected workbench id
     */
    initialSelectedWorkbenchId: string;
}
export declare var CvDropdownWorkbenchMenu: React.ClassicComponentClass<CvGraphicalWorkbenchMenuProps>;
export declare var CvTabbedWorkbenchMenu: React.ClassicComponentClass<CvGraphicalWorkbenchMenuProps>;
