/// <reference types="react" />
import * as React from 'react';
import { CvState, CvProps, CvImageAction } from 'catreact';
export interface CvImageState extends CvState {
    imageNaturalHeight: number;
    imageNaturalWidth: number;
}
export interface CvImageProps extends CvProps {
    style?: any;
    className?: string;
    imageClassName?: string;
    src?: any;
    actions?: Array<CvImageAction>;
    readOnly?: boolean;
    hasFocus?: boolean;
}
export declare const CvImageDefaultAddButtonClass: string;
export declare const CvImageDefaultRemoveButtonClass: string;
export declare const CvImageDefaultUndoButtonClass: string;
export declare const CvImageDefaultSignatureButtonClass: string;
export declare let CvImage: React.ClassicComponentClass<CvImageProps>;
