/// <reference types="react" />
/**
 * Created by rburson on 3/18/16.
 */
/**
 * Smoothing techniques.
 * http://perfectionkills.com/exploring-canvas-drawing-techniques/
 */
import * as React from 'react';
import { CvState, CvProps, CvValueListener } from 'catreact';
import { Color, SignatureCapture } from 'catavolt-sdk';
export declare function openSignaturePopup(listener: CvValueListener<Object>, signature?: SignatureCapture, ratio?: {
    width: number;
    height: number;
}): void;
export interface CvSignaturePopupState extends CvState {
    resultListener: CvValueListener<Object>;
    canvas?: HTMLCanvasElement;
    lineColor?: Color;
    backgroundColor?: Color;
    width?: number;
    height?: number;
    drawingStatus: {
        isDrawing: boolean;
        someDrawn: boolean;
    };
}
export interface CvSignaturePopupProps extends CvProps {
}
/**
 Component that overlays a signature popup.
 */
export declare const CvSignaturePopup: React.ClassicComponentClass<CvSignaturePopupProps>;
