/// <reference types="react" />
/**
 * Created by rburson on 3/30/16.
 */
import * as React from 'react';
import { CvState, CvProps, CvEvent, CvActionFiredResult, CvNavigationResult, CvValueListener } from 'catreact';
import { ViewDesc, PaneContext, ViewId } from 'catavolt-sdk';
export interface CvViewMenuState extends CvState {
    selectedViewId: ViewId;
    visible: boolean;
}
export interface CvViewMenuProps extends CvProps {
    navigationListeners?: Array<(event: CvEvent<CvNavigationResult>) => void>;
    navTarget?: string;
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    paneContext?: PaneContext;
    viewDescs: Array<ViewDesc>;
    openLeft?: boolean;
    viewSelectionListener?: CvValueListener<string>;
    viewLoadedListener?: CvValueListener<string>;
    selectedViewId?: string;
}
export declare var CvViewMenuBase: {
    paneContext: (nextProps: any, nextContext: any) => PaneContext;
    refresh: (nextProps: any, nextContext: any) => void;
    viewDescs: (nextProps: any, nextContext: any) => ViewDesc[];
};
export declare var CvDropdownViewMenu: React.ClassicComponentClass<CvViewMenuProps>;
