catreact-html
=============

**This module is the Catavolt React HTML Development Kit**


# Using this module in your project

* npm install --save catreact-html  
  

# Building the code (for contributors)

* If using Typescript (recommended), [WebStorm](https://www.jetbrains.com/webstorm/) is recommended as an ide, as it has very good Typescript support

* Install [Node.js](https://nodejs.org/en/) (5+ recommended) directly or use [nvm](https://github.com/creationix/nvm#installation) to easily manage installations

* From this project's root directory (catreact-html), run **'npm install'**. This should install all required packages to the 'node_modules' directory in 'catreact-html', including the catavolt library dependencies.  


# Configuring WebStorm for Typescript:

* Open the catreact project root folder in WebStorm
* Go to WebStorm -> Preferences -> Languages and Frameworks -> Javascript
* Set the Language Level to JSX Harmony
* Go to WebStorm -> Preferences -> Languages and Frameworks -> TypeScript panel
* Choose 'Enable TypeScript Compiler'
* Make sure the path to the Node interpreter is correct
* Choose 'Use tsconfig.json' radio option
* Click 'Apply' and 'Ok'
* Open the TypeScript Compiler panel at the bottom of WebStorm and Choose 'Compile All' from the buttons on the left

  
  
  




