"use strict";
/**
 * Created by rburson on 1/15/16.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var catreact_1 = require("catreact");
exports.CvHtmlResource = React.createClass({
    mixins: [catreact_1.CvBaseMixin],
    getDefaultProps: function () {
        return {
            type: 'image',
            resourceName: null,
            resourceUrl: null,
            className: null,
            fallbackImageUrl: 'http://cdn.churchm.ag/wp-content/uploads/2013/06/404-Space-Invaders.png',
            style: null
        };
    },
    render: function () {
        var _this = this;
        return React.createElement(catreact_1.CvResource, { resourceName: this.props.resourceName, resourceUrl: this.props.resourceUrl, resourceRenderer: function (resourceUrl) {
                if (resourceUrl && _this.props.type === 'image') {
                    return React.createElement("img", { style: _this.props.style, className: _this.props.className, src: resourceUrl, onError: _this._loadPlaceholder });
                }
                else {
                    return null;
                }
            } });
    },
    _loadPlaceholder: function (e) {
        e.preventDefault();
        e.target.src = this.props.fallbackImageUrl;
    },
});
