/// <reference types="react" />
/**
 * Created by rburson on 3/18/16.
 */
import * as React from 'react';
import { CvState, CvProps, CvNavigationResult, CvEvent, CvValueListener, CvStateChangeResult, CvActionFiredResult, CvValueProvider, CvActionHandlerParams } from 'catreact';
import { FormContext, ListContext } from 'catavolt-sdk';
export interface CvListPanelState extends CvState {
    selectedItems: Array<string>;
    searchNavResult: CvNavigationResult;
}
export interface CvListPanelProps extends CvProps {
    paneRef?: number;
    formContext?: FormContext;
    listContext?: ListContext;
    navigationListeners?: Array<(event: CvEvent<CvNavigationResult>) => void>;
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    selectionListener?: CvValueListener<Array<string>>;
    stateChangeListeners?: Array<(event: CvEvent<CvStateChangeResult>) => void>;
    actionProvider?: CvValueProvider<CvActionHandlerParams>;
    searchable?: boolean;
}
export declare var CvListPanel: React.ClassicComponentClass<CvListPanelProps>;
export declare var CvListTableHeader: React.ClassicComponentClass<{
    searchNavResult: CvNavigationResult;
    listContext: ListContext;
}>;
export declare var CvListColumnHeader: any;
