/// <reference types="react" />
/**
 * Created by rburson on 3/14/16.
 */
import * as React from 'react';
import { CvState, CvProps, CvEvent, CvLoginResult, CvActionFiredResult } from 'catreact';
export interface CvLoginPanelState extends CvState {
    clientType: string;
    directUrl: string;
    gatewayUrl: string;
    password: string;
    newPassword: string;
    newPassword2: string;
    tenantId: string;
    userId: string;
    error: any;
    passwordExpired: boolean;
    focusOnPassword: boolean;
}
export interface CvLoginPanelProps extends CvProps {
    loginListeners?: Array<(loginEvent: CvEvent<CvLoginResult>) => void>;
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    defaultClientType?: string;
    defaultDirectUrl?: string;
    defaultGatewayUrl?: string;
    defaultPassword?: string;
    defaultTenantId?: string;
    defaultUserId?: string;
    showClientType?: boolean;
    showDirectUrl?: boolean;
    showGatewayUrl?: boolean;
    showTenantId?: boolean;
}
export declare var CvLoginPanel: React.ClassicComponentClass<CvLoginPanelProps>;
