/// <reference types="react" />
/**
 * Created by rburson on 3/30/16.
 */
import * as React from 'react';
import { CvState, CvProps, CvEvent, CvActionFiredResult, CvNavigationResult, CvValueProvider, CvValueListener, CvActionHandlerParams, CvStateChangeResult } from 'catreact';
import { MenuDef, PaneContext } from 'catavolt-sdk';
import ReactElement = React.ReactElement;
export declare let CvMenuBase: {};
export interface CvMenuState extends CvState {
}
export interface CvMenuProps extends CvProps {
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    menuDef?: MenuDef;
    title?: string;
    navigationListeners?: Array<(event: CvEvent<CvNavigationResult>) => void>;
    stateChangeListeners?: Array<(event: CvEvent<CvStateChangeResult>) => void>;
    navTarget?: string;
    paneContext?: PaneContext;
    selectionProvider?: CvValueProvider<Array<string>>;
    actionHandler?: CvValueListener<CvActionHandlerParams>;
    initOpen?: boolean;
    launchMenuElement?: ReactElement<any>;
    openLeft?: boolean;
}
export declare let CvDropdownMenu: React.ClassicComponentClass<CvMenuProps>;
export declare let CvToolbarMenu: React.ClassicComponentClass<CvMenuProps>;
