/// <reference types="react" />
/**
 * Created by rburson on 3/18/16.
 */
import * as React from 'react';
import { CvActionFiredResult, CvState, CvProps, CvNavigationResult, CvStateChangeResult, CvEvent, CvValueProvider, CvActionHandlerParams } from 'catreact';
import { FormContext, PrintMarkupContext } from 'catavolt-sdk';
export interface CvPrintPanelState extends CvState {
}
/**
 * Details Panel Properties
 */
export interface CvPrintPanelProps extends CvProps {
    formContext?: FormContext;
    paneRef?: number;
    printMarkupContext?: PrintMarkupContext;
    navigationListeners?: Array<(event: CvEvent<CvNavigationResult>) => void>;
    stateChangeListeners?: Array<(event: CvEvent<CvStateChangeResult>) => void>;
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    actionProvider?: CvValueProvider<CvActionHandlerParams>;
}
/**
 * Renders a Details Panel, styled by CSS
 */
export declare let CvPrintPanel: React.ClassicComponentClass<CvPrintPanelProps>;
