/**
 * Created by rburson on 12/28/16.
 */
import { StringDictionary } from 'catavolt-sdk';
export declare class CvDisplayProperties {
    private static PARAM_DELIM;
    private static VALUE_DELIM;
    private static ARRAY_ITEM_DELIM;
    private _properties;
    constructor(properties?: StringDictionary);
    getAndUpdate(name: string, value: any): CvDisplayProperties;
    getProperty(name: string): any;
    getAndRemove(name: string): CvDisplayProperties;
    serializeProperties(): string;
    publishToListeners(displayPropChangeListeners?: Array<(displayProperties: CvDisplayProperties) => void>): void;
    static deserializeProperties(propString: string): CvDisplayProperties;
    private encodePropValue(propValue);
    private static decodePropValue(propValue);
}
