/// <reference types="react" />
/**
 * Created by rburson on 8/11/16.
 */
import * as React from 'react';
import { CvActionFiredResult, CvState, CvProps, CvNavigationResult, CvStateChangeResult, CvEvent, CvValueProvider, CvActionHandlerParams } from 'catreact';
import { FormContext, DetailsContext } from 'catavolt-sdk';
export interface CvSearchPanelState extends CvState {
}
/**
 * Search Panel Properties
 */
export interface CvSearchPanelProps extends CvProps {
    formContext?: FormContext;
    paneRef?: number;
    detailsContext?: DetailsContext;
    navigationListeners?: Array<(event: CvEvent<CvNavigationResult>) => void>;
    stateChangeListeners?: Array<(event: CvEvent<CvStateChangeResult>) => void>;
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    actionProvider?: CvValueProvider<CvActionHandlerParams>;
}
/**
 * Renders a Search Panel, styled by CSS
 */
export declare var CvSearchPanel: React.ClassicComponentClass<CvSearchPanelProps>;
